Bug 1295152 - Review Request: python-wcwidth - Measures number of Terminal column cells of wide-character codes
Review Request: python-wcwidth - Measures number of Terminal column cells of ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
: 1295102 (view as bug list)
Depends On:
Blocks: 1295154
  Show dependency treegraph
 
Reported: 2016-01-02 19:27 EST by Fabio Alessandro Locati
Modified: 2016-01-28 15:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 20:05:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
terjeros: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fabio Alessandro Locati 2016-01-02 19:27:32 EST
Spec URL: https://fale.fedorapeople.org/aws/python-wcwidth.spec
SRPM URL: https://fale.fedorapeople.org/aws/python-wcwidth-0.1.5-1.fc23.src.rpm
Description: Measures number of Terminal column cells of wide-character codes
Fedora Account System Username: fale
Comment 1 Fabio Alessandro Locati 2016-01-02 19:28:19 EST
*** Bug 1295102 has been marked as a duplicate of this bug. ***
Comment 2 Terje Røsten 2016-01-03 08:04:09 EST
Blockers:

1)
The included LICENSE file has nothing to do with actual LICENSE,
have you mixed up files in some way?

2)
Remove the shebang in tests/test_core.py to avoid the rpmlint warning:

python2-wcwidth.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/wcwidth/tests/test_core.py 644 /usr/bin/env
python3-wcwidth.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/wcwidth/tests/test_core.py 644 /usr/bin/env

Nice to have:

1) Create upstream ticket and ask for LICENSE to be included in source tarball and license info included in each source file.


Full review:

Package Review
==============
Legend: [X] = Pass, [!] = Fail, [-] = Not applicable

===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 10 files have unknown
     license. Detailed output of licensecheck in
     /home/gudrun/terjeros/fedora/1295152-python-wcwidth/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[X]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[X]: Package installs properly.
[X]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[X]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: Package requires other packages for directories it uses.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[X]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[X]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[X]: Macros in Summary, %description expandable at SRPM build time.
[X]: Dist tag is present.
[X]: Package does not contain duplicates in %files.
[X]: Permissions on files are set properly.
[X]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[X]: Package is named using only allowed ASCII characters.
[X]: Package does not use a name that already exists.
[X]: Package is not relocatable.
[X]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[X]: File names are valid UTF-8.
[X]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[X]: Package contains BR: python2-devel or python3-devel
[X]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-wcwidth , python3-wcwidth
[X]: Package functions as described.
[X]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[X]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[X]: Sources can be downloaded from URI in Source: tag
[X]: Reviewer should test that the package builds in mock.
[X]: Buildroot is not present
[X]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[X]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[X]: SourceX is a working URL.
[X]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[X]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[X]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-wcwidth-0.1.5-1.fc23.noarch.rpm
          python3-wcwidth-0.1.5-1.fc23.noarch.rpm
          python-wcwidth-0.1.5-1.fc23.src.rpm
python2-wcwidth.noarch: W: spelling-error %description -l en_US implementors -> implements, implement, tormentors
python2-wcwidth.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/wcwidth/tests/test_core.py 644 /usr/bin/env
python3-wcwidth.noarch: W: spelling-error %description -l en_US implementors -> implements, implement, tormentors
python3-wcwidth.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/wcwidth/tests/test_core.py 644 /usr/bin/env
python-wcwidth.src: W: spelling-error %description -l en_US implementors -> implements, implement, tormentors
python-wcwidth.src:67: W: setup-not-quiet
python-wcwidth.src: W: file-size-mismatch LICENSE = 1699, https://raw.githubusercontent.com/jquast/wcwidth/master/LICENSE = 1101
3 packages and 0 specfiles checked; 2 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
python2-wcwidth.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/wcwidth/tests/test_core.py 644 /usr/bin/env
python3-wcwidth.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/wcwidth/tests/test_core.py 644 /usr/bin/env
2 packages and 0 specfiles checked; 2 errors, 0 warnings.


Requires
--------
python2-wcwidth (rpmlib, GLIBC filtered):
    python(abi)

python3-wcwidth (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-wcwidth:
    python-wcwidth
    python2-wcwidth

python3-wcwidth:
    python3-wcwidth



Source checksums
----------------
https://pypi.python.org/packages/source/w/wcwidth/wcwidth-0.1.5.tar.gz :
  CHECKSUM(SHA256) this package     : 66c7ce3199c87833aaaa1fe1241b63261ce53c1062597c189a16a54713e0919d
  CHECKSUM(SHA256) upstream package : 66c7ce3199c87833aaaa1fe1241b63261ce53c1062597c189a16a54713e0919d
https://raw.githubusercontent.com/jquast/wcwidth/master/LICENSE :
  CHECKSUM(SHA256) this package     : 24083922567c3aa065bbe0f418c2b6ec834cbe6d299c2521575a490eb41ed5cb
  CHECKSUM(SHA256) upstream package : 0eddcc52cd3ef5d30798b8d43a14d3f0f1dcf0a6e4c1d0f2e177c44ce85bb69c
diff -r also reports differences
Comment 3 Fabio Alessandro Locati 2016-01-06 14:10:41 EST
Thanks a lot for the review! :)

Blocker:
1. Yes, sorry, I messed up having on bench multiple packages requiring external LICENSE file, they got overwritten. Fixed now [0]
2. Fixed [1]

Nice to have:
1. Done [2]

I hope the package is now ready to be shipped :).

[0]: https://fale.fedorapeople.org/aws/python-wcwidth-0.1.5-2.fc23.src.rpm
[1]: https://fale.fedorapeople.org/aws/python-wcwidth.spec
[2]: https://github.com/jquast/wcwidth/issues/14
Comment 4 Terje Røsten 2016-01-06 14:16:40 EST
rpmlint warns about missing -q in %setup:

python-wcwidth.src:67: W: setup-not-quiet

The rest is good.

Package python-wcwidth is APPROVED.
Comment 5 Fabio Alessandro Locati 2016-01-06 14:43:51 EST
Thanks and I've added the -q to the setup :) thanks a lot!
Comment 6 Gwyn Ciesla 2016-01-06 15:15:38 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-wcwidth
Comment 7 Fedora Update System 2016-01-07 05:12:43 EST
python-wcwidth-0.1.5-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-af0dbd1d66
Comment 8 Fedora Update System 2016-01-07 05:13:14 EST
python-wcwidth-0.1.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0ade95e6f5
Comment 9 Fedora Update System 2016-01-07 05:14:09 EST
python-wcwidth-0.1.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4a5d84d5e
Comment 10 Fedora Update System 2016-01-07 05:14:30 EST
python-wcwidth-0.1.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b739c3d32e
Comment 11 Fedora Update System 2016-01-08 16:19:26 EST
python-wcwidth-0.1.5-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-af0dbd1d66
Comment 12 Fedora Update System 2016-01-08 16:24:11 EST
python-wcwidth-0.1.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0ade95e6f5
Comment 13 Fedora Update System 2016-01-08 18:51:25 EST
python-wcwidth-0.1.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fca79c0f1b
Comment 14 Fedora Update System 2016-01-08 23:26:06 EST
python-wcwidth-0.1.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b739c3d32e
Comment 15 Fedora Update System 2016-01-08 23:28:42 EST
python-wcwidth-0.1.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4a5d84d5e
Comment 16 Fedora Update System 2016-01-09 12:48:12 EST
python-wcwidth-0.1.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6d0124d555
Comment 17 Fedora Update System 2016-01-09 12:51:17 EST
python-wcwidth-0.1.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fca79c0f1b
Comment 18 Fedora Update System 2016-01-12 05:36:27 EST
python-wcwidth-0.1.6-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-218ad017f4
Comment 19 Fedora Update System 2016-01-13 01:51:35 EST
python-wcwidth-0.1.6-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-218ad017f4
Comment 20 Fedora Update System 2016-01-23 20:05:15 EST
python-wcwidth-0.1.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-01-28 15:27:32 EST
python-wcwidth-0.1.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.